Bug 806891 - Dependencies broken for dogtag-pki
Dependencies broken for dogtag-pki
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dogtag-pki (Show other bugs)
16
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Harmsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 08:50 EDT by John Griffiths
Modified: 2013-02-13 13:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 896134 (view as bug list)
Environment:
Last Closed: 2013-02-13 13:58:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Griffiths 2012-03-26 08:50:45 EDT
Description of problem:
The new dogtag-pki has some dependencies that are not available in the fedora or updates repositories.

How reproducible:
always

Steps to Reproduce:
1. yum update
  
Actual results:

Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-native-tools >= 9.0.18
           Installed: pki-native-tools-9.0.17-1.fc16.i686 (@updates)
               pki-native-tools = 9.0.17-1.fc16
           Available: pki-native-tools-9.0.15-1.fc16.i686 (fedora)
               pki-native-tools = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-silent >= 9.0.18
           Installed: pki-silent-9.0.17-1.fc16.noarch (@updates)
               pki-silent = 9.0.17-1.fc16
           Available: pki-silent-9.0.15-1.fc16.noarch (fedora)
               pki-silent = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-kra >= 9.0.10
           Installed: pki-kra-9.0.8-1.fc16.noarch (@fedora)
               pki-kra = 9.0.8-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-ocsp >= 9.0.9
           Installed: pki-ocsp-9.0.8-1.fc16.noarch (@updates)
               pki-ocsp = 9.0.8-1.fc16
           Available: pki-ocsp-9.0.7-1.fc16.noarch (fedora)
               pki-ocsp = 9.0.7-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-selinux >= 9.0.18
           Installed: pki-selinux-9.0.17-1.fc16.noarch (@updates)
               pki-selinux = 9.0.17-1.fc16
           Available: pki-selinux-9.0.15-1.fc16.noarch (fedora)
               pki-selinux = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-tks >= 9.0.9
           Installed: pki-tks-9.0.8-1.fc16.noarch (@updates)
               pki-tks = 9.0.8-1.fc16
           Available: pki-tks-9.0.7-1.fc16.noarch (fedora)
               pki-tks = 9.0.7-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-common-javadoc >= 9.0.18
           Installed: pki-common-javadoc-9.0.17-1.fc16.noarch (@updates)
               pki-common-javadoc = 9.0.17-1.fc16
           Available: pki-common-javadoc-9.0.15-1.fc16.noarch (fedora)
               pki-common-javadoc = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-setup >= 9.0.18
           Installed: pki-setup-9.0.17-1.fc16.noarch (@updates)
               pki-setup = 9.0.17-1.fc16
           Available: pki-setup-9.0.15-1.fc16.noarch (fedora)
               pki-setup = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-util >= 9.0.18
           Installed: pki-util-9.0.17-1.fc16.noarch (@updates)
               pki-util = 9.0.17-1.fc16
           Available: pki-util-9.0.15-1.fc16.noarch (fedora)
               pki-util = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-ca >= 9.0.18
           Installed: pki-ca-9.0.17-1.fc16.noarch (@updates)
               pki-ca = 9.0.17-1.fc16
           Available: pki-ca-9.0.15-1.fc16.noarch (fedora)
               pki-ca = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-java-tools-javadoc >= 9.0.18
           Installed: pki-java-tools-javadoc-9.0.17-1.fc16.noarch (@updates)
               pki-java-tools-javadoc = 9.0.17-1.fc16
           Available: pki-java-tools-javadoc-1.3.1-1.fc14.noarch (fedora)
               pki-java-tools-javadoc = 1.3.1-1.fc14
           Available: pki-java-tools-javadoc-9.0.15-1.fc16.noarch (fedora)
               pki-java-tools-javadoc = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-common >= 9.0.18
           Installed: pki-common-9.0.17-1.fc16.noarch (@updates)
               pki-common = 9.0.17-1.fc16
           Available: pki-common-9.0.15-1.fc16.noarch (fedora)
               pki-common = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-java-tools >= 9.0.18
           Installed: pki-java-tools-9.0.17-1.fc16.noarch (@updates)
               pki-java-tools = 9.0.17-1.fc16
           Available: pki-java-tools-1.3.1-1.fc14.noarch (fedora)
               pki-java-tools = 1.3.1-1.fc14
           Available: pki-java-tools-9.0.15-1.fc16.noarch (fedora)
               pki-java-tools = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-symkey >= 9.0.18
           Installed: pki-symkey-9.0.17-1.fc16.i686 (@updates)
               pki-symkey = 9.0.17-1.fc16
           Available: pki-symkey-9.0.15-1.fc16.i686 (fedora)
               pki-symkey = 9.0.15-1.fc16
Error: Package: dogtag-pki-9.0.0-10.fc16.noarch (updates)
           Requires: pki-util-javadoc >= 9.0.18
           Installed: pki-util-javadoc-9.0.17-1.fc16.noarch (@updates)
               pki-util-javadoc = 9.0.17-1.fc16
           Available: pki-util-javadoc-9.0.15-1.fc16.noarch (fedora)
               pki-util-javadoc = 9.0.15-1.fc16
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 John Griffiths 2012-04-03 06:24:47 EDT
This is annoying.

Although yum update --skip-broken gets around the problem, I must ask a question. Why was dogtag-pki allowed to get into the active updates repository without the rest of the dependencies? 

QA????
Comment 2 Adam 2012-04-07 19:19:00 EDT
+1 this is not good packet management.  --skip-broken doesn't allow a yum install dogtag-pki so if it's the first time, SOL.
Comment 3 Glenn L. Jenkins 2012-12-10 04:52:09 EST
Same problem in Fedora 17 with latest update

Error: Package: dogtag-pki-9.0.0-13.fc17.noarch (updates)
           Requires: pki-ra >= 9.0.5
           Installed: pki-ra-9.0.4-2.fc17.noarch (@fedora)
               pki-ra = 9.0.4-2.fc17
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@xxxxxx ~]# 

Should I submit this as a new bug?
Comment 4 Fedora End Of Life 2013-01-16 10:50:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 13:58:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.